diff --git a/src/bin/scripts/createuser b/src/bin/scripts/createuser
index 025993c12523020860ac03efa0621af06b6b57cf..62263e99808d1d6767834b9c1caa8b856aa8961e 100644
--- a/src/bin/scripts/createuser
+++ b/src/bin/scripts/createuser
@@ -9,7 +9,7 @@
 #
 #
 # IDENTIFICATION
-#    $Header: /cvsroot/pgsql/src/bin/scripts/Attic/createuser,v 1.30 2003/02/13 05:37:44 momjian Exp $
+#    $Header: /cvsroot/pgsql/src/bin/scripts/Attic/createuser,v 1.31 2003/02/19 03:52:57 momjian Exp $
 #
 # Note - this should NOT be setuid.
 #
@@ -179,7 +179,7 @@ fi
 # Don't want to leave the user blind if he breaks
 # during password entry.
 
-trap 'stty echo >/dev/null 2>&1' 1 2 3 15
+trap 'stty echo >/dev/null 2>&1; echo; exit 1' 1 2 3 15
 
 # Get missing user attributes